> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/disk/terminatedisk.md).

# TerminateDisk

## 1. API Description

This API (TerminateDisk) is used to return a disk.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">When this API is called, the disk will be moved to the recycle bin and be released in 24 hours if there are no other operations. You can also call</mark> [<mark style="color:purple;">`ReleaseDisk`</mark>](/api-reference/compute/vm/disk/releasedisk.md) <mark style="color:blue;">to release the disk.</mark>
* <mark style="color:blue;">Use this API to return a disk that is no longer required. A pay-as-you-go disk will stop billing after it is returns.</mark>
* <mark style="color:blue;">You cannot return a subscription disk using this API, which will be returned when subscription expires.</mark>
* <mark style="color:blue;">Only operations on data disks are supported.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description       |
| -------------- | -------- | ------ | ----------------- |
| diskId         | Yes      | String | ID list of disks. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Return a disk.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: TerminateDisk
<Common Request Params>

Request:
{
  "diskId": "your-disk-id"
}

Response:
{
  "requestId": "TE2A08EDA-C514-4F82-8D9A-C5BA0A7B1BF3",
  "response": {
    "requestId": "TE2A08EDA-C514-4F82-8D9A-C5BA0A7B1BF3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
